# Generated by Django 3.1.7 on 2021-10-13 16:40

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('main', '0008_auto_20211013_1420'),
    ]

    operations = [
        migrations.RemoveConstraint(
            model_name='categoriadespesa',
            name='categoriadespesa_unique',
        ),
        migrations.RemoveConstraint(
            model_name='despesa',
            name='despesa_unique',
        ),
        migrations.RemoveConstraint(
            model_name='equipamento',
            name='equipamento_unique',
        ),
        migrations.RemoveConstraint(
            model_name='producao',
            name='producao_unique',
        ),
        migrations.RemoveConstraint(
            model_name='safra',
            name='safra_unique',
        ),
        migrations.RemoveConstraint(
            model_name='trabalhoupf',
            name='trabalhoupf_unique',
        ),
        migrations.RemoveConstraint(
            model_name='trabalhoupfintegrante',
            name='trabalhoupfintegrante_unique',
        ),
        migrations.RemoveConstraint(
            model_name='upf',
            name='upf_unique',
        ),
        migrations.RemoveConstraint(
            model_name='upfintegrante',
            name='upfintegrante_unique',
        ),
        migrations.RemoveConstraint(
            model_name='venda',
            name='venda_unique',
        ),
        migrations.RemoveConstraint(
            model_name='versaobancodados',
            name='versaobancodados_unique',
        ),
        migrations.AddField(
            model_name='categoriadespesa',
            name='mobile_model_id',
            field=models.IntegerField(default=None, null=True),
        ),
        migrations.AddField(
            model_name='despesa',
            name='mobile_model_id',
            field=models.IntegerField(default=None, null=True),
        ),
        migrations.AddField(
            model_name='equipamento',
            name='mobile_model_id',
            field=models.IntegerField(default=None, null=True),
        ),
        migrations.AddField(
            model_name='producao',
            name='mobile_model_id',
            field=models.IntegerField(default=None, null=True),
        ),
        migrations.AddField(
            model_name='safra',
            name='mobile_model_id',
            field=models.IntegerField(default=None, null=True),
        ),
        migrations.AddField(
            model_name='trabalhoupf',
            name='mobile_model_id',
            field=models.IntegerField(default=None, null=True),
        ),
        migrations.AddField(
            model_name='trabalhoupfintegrante',
            name='mobile_model_id',
            field=models.IntegerField(default=None, null=True),
        ),
        migrations.AddField(
            model_name='upf',
            name='mobile_model_id',
            field=models.IntegerField(default=None, null=True),
        ),
        migrations.AddField(
            model_name='upfintegrante',
            name='mobile_model_id',
            field=models.IntegerField(default=None, null=True),
        ),
        migrations.AddField(
            model_name='venda',
            name='mobile_model_id',
            field=models.IntegerField(default=None, null=True),
        ),
        migrations.AddField(
            model_name='versaobancodados',
            name='mobile_model_id',
            field=models.IntegerField(default=None, null=True),
        ),
        migrations.AddConstraint(
            model_name='categoriadespesa',
            constraint=models.UniqueConstraint(fields=('mobile_model_id', 'mobile_key'), name='categoriadespesa_unique'),
        ),
        migrations.AddConstraint(
            model_name='despesa',
            constraint=models.UniqueConstraint(fields=('mobile_model_id', 'mobile_key'), name='despesa_unique'),
        ),
        migrations.AddConstraint(
            model_name='equipamento',
            constraint=models.UniqueConstraint(fields=('mobile_model_id', 'mobile_key'), name='equipamento_unique'),
        ),
        migrations.AddConstraint(
            model_name='producao',
            constraint=models.UniqueConstraint(fields=('mobile_model_id', 'mobile_key'), name='producao_unique'),
        ),
        migrations.AddConstraint(
            model_name='safra',
            constraint=models.UniqueConstraint(fields=('mobile_model_id', 'mobile_key'), name='safra_unique'),
        ),
        migrations.AddConstraint(
            model_name='trabalhoupf',
            constraint=models.UniqueConstraint(fields=('mobile_model_id', 'mobile_key'), name='trabalhoupf_unique'),
        ),
        migrations.AddConstraint(
            model_name='trabalhoupfintegrante',
            constraint=models.UniqueConstraint(fields=('mobile_model_id', 'mobile_key'), name='trabalhoupfintegrante_unique'),
        ),
        migrations.AddConstraint(
            model_name='upf',
            constraint=models.UniqueConstraint(fields=('mobile_model_id', 'mobile_key'), name='upf_unique'),
        ),
        migrations.AddConstraint(
            model_name='upfintegrante',
            constraint=models.UniqueConstraint(fields=('mobile_model_id', 'mobile_key'), name='upfintegrante_unique'),
        ),
        migrations.AddConstraint(
            model_name='venda',
            constraint=models.UniqueConstraint(fields=('mobile_model_id', 'mobile_key'), name='venda_unique'),
        ),
        migrations.AddConstraint(
            model_name='versaobancodados',
            constraint=models.UniqueConstraint(fields=('mobile_model_id', 'mobile_key'), name='versaobancodados_unique'),
        ),
    ]
